Package tigase.stats

# Class StatisticsList

java.lang.Object
tigase.stats.StatisticsList

All Implemented Interfaces:
  `Iterable<StatRecord>`

@Deprecated public class StatisticsList extends Object implements Iterable<StatRecord>
Deprecated.
Created: Jul 10, 2009 3:23:23 PM

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticsList(Level level)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(String comp, String description, float value, Level recordLevel)`
  Deprecated.
  `boolean`
  `add(String comp, String description, int value, Level recordLevel)`
  Deprecated.
  `boolean`
  `add(String comp, String description, long value, Level recordLevel)`
  Deprecated.
  `boolean`
  `add(String comp, String description, String value, Level recordLevel)`
  Deprecated.
  `<E extends Number>
  boolean`
  `add(String comp, String description, Collection<E> value, Level recordLevel)`
  Deprecated.
  `LinkedHashMap<String,StatRecord>`
  `addCompStats(String comp)`
  Deprecated.
  `boolean`
  `checkLevel(Level recordLevel)`
  Deprecated.
  `boolean`
  `checkLevel(Level recordLevel, int value)`
  Deprecated.
  `boolean`
  `checkLevel(Level recordLevel, long value)`
  Deprecated.
  `boolean`
  `checkLevel(Level recordLevel, StatRecord record)`
  Deprecated.
  `<E> Collection<E>`
  `getCollectionValue(String dataId)`
  Deprecated.
  `<E> Collection<E>`
  `getCollectionValue(String comp, String description, Collection<E> def)`
  Deprecated.
  `int`
  `getCompConnections(String comp)`
  Deprecated.
  `long`
  `getCompIq(String comp)`
  Deprecated.
  `long`
  `getCompIqReceived(String comp)`
  Deprecated.
  `long`
  `getCompIqSent(String comp)`
  Deprecated.
  `long`
  `getCompMsg(String comp)`
  Deprecated.
  `long`
  `getCompMsgReceived(String comp)`
  Deprecated.
  `long`
  `getCompMsgSent(String comp)`
  Deprecated.
  `Set<String>`
  `getCompNames()`
  Deprecated.
  Returns names of every component for which statistics are stored in `stats` variable
  `long`
  `getCompPackets(String comp)`
  Deprecated.
  `long`
  `getCompPres(String comp)`
  Deprecated.
  `long`
  `getCompPresReceived(String comp)`
  Deprecated.
  `long`
  `getCompPresSent(String comp)`
  Deprecated.
  `long`
  `getCompReceivedPackets(String comp)`
  Deprecated.
  `long`
  `getCompSentPackets(String comp)`
  Deprecated.
  `LinkedHashMap<String,StatRecord>`
  `getCompStats(String comp)`
  Deprecated.
  `Object`
  `getValue(String dataId)`
  Deprecated.
  `float`
  `getValue(String comp, String description, float def)`
  Deprecated.
  `int`
  `getValue(String comp, String description, int def)`
  Deprecated.
  `long`
  `getValue(String comp, String description, long def)`
  Deprecated.
  `String`
  `getValue(String comp, String description, String def)`
  Deprecated.
  `<E> Collection<E>`
  `getValue(String comp, String description, Collection<E> def)`
  Deprecated.
  `Iterator<StatRecord>`
  `iterator()`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### StatisticsList

    public StatisticsList(Level level)
    Deprecated.

- ## Method Details

  - ### add

    public boolean add(String comp, String description, long value, Level recordLevel)
    Deprecated.

  - ### add

    public boolean add(String comp, String description, int value, Level recordLevel)
    Deprecated.

  - ### add

    public boolean add(String comp, String description, String value, Level recordLevel)
    Deprecated.

  - ### add

    public boolean add(String comp, String description, float value, Level recordLevel)
    Deprecated.

  - ### add

    public <E extends Number> boolean add(String comp, String description, Collection<E> value, Level recordLevel)
    Deprecated.

  - ### addCompStats

    public LinkedHashMap<String,StatRecord> addCompStats(String comp)
    Deprecated.

  - ### checkLevel

    public boolean checkLevel(Level recordLevel)
    Deprecated.

  - ### checkLevel

    public boolean checkLevel(Level recordLevel, long value)
    Deprecated.

  - ### checkLevel

    public boolean checkLevel(Level recordLevel, StatRecord record)
    Deprecated.

  - ### checkLevel

    public boolean checkLevel(Level recordLevel, int value)
    Deprecated.

  - ### getCompConnections

    public int getCompConnections(String comp)
    Deprecated.

  - ### getCompIq

    public long getCompIq(String comp)
    Deprecated.

  - ### getCompIqReceived

    public long getCompIqReceived(String comp)
    Deprecated.

  - ### getCompIqSent

    public long getCompIqSent(String comp)
    Deprecated.

  - ### getCompNames

    public Set<String> getCompNames()
    Deprecated.
    Returns names of every component for which statistics are stored in `stats` variable

  - ### getCompMsg

    public long getCompMsg(String comp)
    Deprecated.

  - ### getCompMsgReceived

    public long getCompMsgReceived(String comp)
    Deprecated.

  - ### getCompMsgSent

    public long getCompMsgSent(String comp)
    Deprecated.

  - ### getCompPackets

    public long getCompPackets(String comp)
    Deprecated.

  - ### getCompPres

    public long getCompPres(String comp)
    Deprecated.

  - ### getCompPresReceived

    public long getCompPresReceived(String comp)
    Deprecated.

  - ### getCompPresSent

    public long getCompPresSent(String comp)
    Deprecated.

  - ### getCompReceivedPackets

    public long getCompReceivedPackets(String comp)
    Deprecated.

  - ### getCompSentPackets

    public long getCompSentPackets(String comp)
    Deprecated.

  - ### getCompStats

    public LinkedHashMap<String,StatRecord> getCompStats(String comp)
    Deprecated.

  - ### getValue

    public long getValue(String comp, String description, long def)
    Deprecated.

  - ### getValue

    public float getValue(String comp, String description, float def)
    Deprecated.

  - ### getValue

    public int getValue(String comp, String description, int def)
    Deprecated.

  - ### getValue

    public String getValue(String comp, String description, String def)
    Deprecated.

  - ### getValue

    public <E> Collection<E> getValue(String comp, String description, Collection<E> def)
    Deprecated.

  - ### getCollectionValue

    public <E> Collection<E> getCollectionValue(String dataId)
    Deprecated.

  - ### getCollectionValue

    public <E> Collection<E> getCollectionValue(String comp, String description, Collection<E> def)
    Deprecated.

  - ### getValue

    public Object getValue(String dataId)
    Deprecated.

  - ### iterator

    public Iterator<StatRecord> iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `Iterable<StatRecord>`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`